> ## Documentation Index
> Fetch the complete documentation index at: https://docs.api.stuut.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Call Agents



## OpenAPI

````yaml /openapi.json get /v1/call-agents
openapi: 3.0.3
info:
  contact:
    name: Stuut Support
    url: https://stuut.ai
    email: devs@stuut.co
  termsOfService: https://stuut.ai/terms-and-conditions
  title: Stuut API
  version: 0.1.0
servers:
  - url: http://api.stuut.ai
security: []
tags:
  - name: Analytics
  - name: Bank Accounts
  - name: Bank Statements
  - name: Bank Transactions
  - name: Call Agents
  - name: Call Agent Scenarios
  - name: Calls
  - name: Contact Suggestions
  - name: demo
  - name: Email Senders
  - name: Email Templates
  - name: Email Template Folders
  - name: Email Threads
  - name: Emails
  - name: Files
  - name: Invoices
  - name: Notes
  - name: Organizations
  - name: Outreach Workflows
  - name: Partners
  - name: Partner Contacts
  - name: Payments
  - name: Phone Numbers
  - name: Plaid
  - name: Profile
  - name: Pusher
  - name: Remittances
  - name: Tags
  - name: Tasks
  - name: User Invites
  - name: Users
paths:
  /v1/call-agents:
    get:
      tags:
        - Call Agents
      summary: List Call Agents
      operationId: call_agents.list
      parameters: []
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CallAgentResponse'
          description: Successful response
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StuutErrorHTTP'
          description: Authentication error
      security:
        - BearerAuth: []
components:
  schemas:
    CallAgentResponse:
      type: object
      properties: {}
      oneOf:
        - $ref: '#/components/schemas/InboundCallAgent'
        - $ref: '#/components/schemas/OutboundCallAgent'
      discriminator:
        propertyName: type
        mapping:
          inbound:
            $ref: '#/components/schemas/InboundCallAgent'
          outbound:
            $ref: '#/components/schemas/OutboundCallAgent'
    StuutErrorHTTP:
      type: object
      properties:
        data:
          type: object
          additionalProperties: {}
        error:
          type: string
        message:
          type: string
      required:
        - data
        - error
        - message
    InboundCallAgent:
      type: object
      properties:
        id:
          type: string
          maxLength: 32
        created_at:
          type: string
          format: date-time
        modified_at:
          type: string
          format: date-time
          nullable: true
        object:
          type: string
        recording_consent_required:
          type: boolean
        remote_agent_id:
          type: string
          description: The id of the remote agent to use for this call agent.
        retell_agent:
          $ref: '#/components/schemas/RetellAgent'
        retell_voice:
          $ref: '#/components/schemas/RetellVoice'
        type:
          maxLength: 8
          enum:
            - inbound
            - outbound
      required:
        - object
        - remote_agent_id
        - type
    OutboundCallAgent:
      type: object
      properties:
        id:
          type: string
          maxLength: 32
        created_at:
          type: string
          format: date-time
        modified_at:
          type: string
          format: date-time
          nullable: true
        object:
          type: string
        recording_consent_required:
          type: boolean
        remote_agent_id:
          type: string
          description: The id of the remote agent to use for this call agent.
        retell_agent:
          $ref: '#/components/schemas/RetellAgent'
        retell_voice:
          $ref: '#/components/schemas/RetellVoice'
        type:
          maxLength: 8
          enum:
            - inbound
            - outbound
      required:
        - object
        - remote_agent_id
        - type
    RetellAgent:
      type: object
      properties:
        agent_id:
          type: string
        agent_name:
          type: string
          nullable: true
        interruption_sensitivity:
          type: number
          minimum: 0
          maximum: 1
          nullable: true
        language:
          type: string
        responsiveness:
          type: number
          minimum: 0
          maximum: 1
          nullable: true
        voice_speed:
          type: number
          minimum: 0.5
          maximum: 2
          nullable: true
        voice_temperature:
          type: number
          minimum: 0
          maximum: 2
          nullable: true
        voice_id:
          type: string
          nullable: true
    RetellVoice:
      type: object
      properties:
        accent:
          type: string
        age:
          type: string
        gender:
          type: string
        preview_audio_url:
          type: string
        provider:
          type: string
        voice_id:
          type: string
        voice_name:
          type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````